package com.steerinfo.baseinfo.meterbaseoperationlog.mapper;

import com.steerinfo.baseinfo.meterbaseoperationlog.model.MeterBaseOperationLogVo;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbaseoperationlog.model.MeterBaseOperationLog;
import com.steerinfo.meterwork.meterworkbeltscaleactual.model.MeterWorkBeltScaleActual;
import com.steerinfo.meterwork.meterworkcaractual.model.MeterWorkCarActual;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseOperationLogMapper extends IBaseMapper<MeterBaseOperationLog, String> {

    List<MeterBaseOperationLog> doQueryAndMultiple(HashMap<String, Object> obj);
    List<MeterBaseOperationLogVo> likeByDesc(HashMap<String, Object> obj);

    //根据时间查询所有秤点的结净匹配委托、撤销委托、结净已上传、结净未上传
    List<HashMap> countAllFirstState(Map<String, Object> params);
    List<HashMap> countAllFirstState02(Map<String, Object> params);
    List<HashMap> countAllFirstState03(Map<String, Object> params);
    List<HashMap> countAllActualState(Map<String, Object> params);
    List<HashMap> allFirstStateView(Map<String, Object> params);
    List<HashMap> allActualStateView(Map<String, Object> params);
    //车号分析Web端车号修改
    List<HashMap> countWebResetCar(Map<String, Object> params);
    List<String> operationPageInfo(Map<String, Object> params);
    List<String> operationFunctionInfo(Map<String, Object> params);
}
